summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /sci-electronics/gspiceui/gspiceui-0.9.99-r1.ebuild
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'sci-electronics/gspiceui/gspiceui-0.9.99-r1.ebuild')
-rw-r--r--sci-electronics/gspiceui/gspiceui-0.9.99-r1.ebuild69
1 files changed, 69 insertions, 0 deletions
diff --git a/sci-electronics/gspiceui/gspiceui-0.9.99-r1.ebuild b/sci-electronics/gspiceui/gspiceui-0.9.99-r1.ebuild
new file mode 100644
index 00000000000..7bf15c424c3
--- /dev/null
+++ b/sci-electronics/gspiceui/gspiceui-0.9.99-r1.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="2"
+
+WX_GTK_VER="2.8"
+inherit eutils wxwidgets
+
+MY_P="${PN}-v${PV}"
+
+DESCRIPTION="GUI frontend for Ngspice and Gnucap"
+HOMEPAGE="http://www.geda.seul.org/tools/gspiceui/"
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples schematics waveform"
+
+DEPEND="x11-libs/wxGTK:2.8[X]
+ sci-electronics/electronics-menu"
+RDEPEND="${DEPEND}
+ || ( sci-electronics/ngspice sci-electronics/gnucap )
+ waveform? ( sci-electronics/gwave )
+ schematics? ( sci-electronics/geda )"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ # Use Gentoo LDFLAGS and CXXFLAGS
+ epatch "${FILESDIR}/${P}-flags.patch"
+ # Add missing models for examples
+ epatch "${FILESDIR}"/${P}-examples.patch
+
+ # Adjusting the doc path at src/main/HelpTasks.cpp
+ sed -i -e \
+ "s:/share/gspiceui/html/User-Manual.html:/share/doc/${PF}/html/User-Manual.html:g" \
+ src/main/HelpTasks.cpp \
+ || die "Patching src/main/HelpTasks.cpp failed"
+}
+
+src_install() {
+ dobin bin/gspiceui || die
+ dodoc ChangeLog ToDo || die
+ doman gspiceui.1 || die
+ newicon src/icons/gspiceui-48x48.xpm gspiceui.xpm || die
+
+ dohtml html/*.html html/*.jpeg || die
+
+ # installing examples and according model and symbol files
+ if use examples ; then
+ insinto /usr/share/doc/${PF}/sch
+ doins -r sch/* || die
+ insinto /usr/share/doc/${PF}/lib
+ doins -r lib/* || die
+ fi
+
+ make_desktop_entry gspiceui "GNU Spice GUI" gspiceui "Electronics"
+}
+
+pkg_postinst() {
+ if use examples ; then
+ elog "If you want to use the examples, copy from"
+ elog "/usr/share/doc/${PF} the sch and lib directory"
+ elog "side by side to your home directory to be able"
+ elog "to generate the netlists as normal user."
+ fi
+}